# Use an official Python runtime as a parent image
FROM python:3.12

# Set the working directory in the container
WORKDIR /app

# Copy the requirements.txt to install dependencies
COPY requirements.txt .

# Install the dependencies
RUN pip install --no-cache-dir -r requirements.txt

# Copy the rest of the application code
COPY . .

# Expose port (if your bot needs to respond to any incoming connections outside of Discord, specify it here; otherwise, this is optional)
# EXPOSE 8080


# Run the bot
CMD ["python", "bot.py"]
